Package org.silverpeas.components.survey.notification

# Class AbstractSurveyUserNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>
org.silverpeas.components.survey.notification.AbstractSurveyUserNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

Direct Known Subclasses:
  `SurveyUserAlertNotification`, `SurveyUserNotification`

public abstract class AbstractSurveyUserNotification extends org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>
The centralization of the construction of the survey notifications

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.notification.user.client.constant.NotifAction`
  `getAction()`
  `protected String`
  `getComponentInstanceId()`
  `protected String`
  `getContributionAccessLinkLabelBundleKey()`
  `protected String`
  `getLocalizationBundlePath()`
  `protected String`
  `getSender()`
  `protected String`
  `getTemplatePath()`
  `protected void`
  `performNotificationResource(String language, org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)`
  `protected void`
  `performTemplateData(String language, org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, getResourceURL, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### performTemplateData

    protected void performTemplateData(String language, org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)
    Specified by:
      `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

  - ### performNotificationResource

    protected void performNotificationResource(String language, org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)
    Specified by:
      `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

  - ### getTemplatePath

    protected String getTemplatePath()
    Specified by:
      `getTemplatePath` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`

  - ### getAction

    protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()
    Specified by:
      `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getComponentInstanceId

    protected String getComponentInstanceId()
    Specified by:
      `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getSender

    protected String getSender()
    Specified by:
      `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getLocalizationBundlePath

    protected String getLocalizationBundlePath()
    Overrides:
      `getLocalizationBundlePath` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getContributionAccessLinkLabelBundleKey

    protected String getContributionAccessLinkLabelBundleKey()
    Overrides:
      `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.questioncontainer.container.model.QuestionContainerDetail>`